import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import '../marker_data.dart';

class DetailsContainerWidget extends StatefulWidget {
  const DetailsContainerWidget({Key? key, required this.markerData}) : super(key: key);

  final MarkerTemplate markerData;

  @override
  _DetailsContainerWidgetState createState() => _DetailsContainerWidgetState();
}

class _DetailsContainerWidgetState extends State<DetailsContainerWidget> {
  @override
  Widget build(BuildContext context) {
    double screenWidth = MediaQuery.of(context).size.width;
    double boxWidth = 0.9;
    double boxHeight = 1.5;

    return Container(
      width: screenWidth * boxWidth,
      height: screenWidth * boxHeight,
      color: Colors.blue,
      child: Align(
        alignment: Alignment.topLeft,
        child: Padding(
          padding: const EdgeInsets.only(top: 10, left: 10), // Edge padding, text
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const Text(
                'Ice thickness details',
                style: TextStyle(fontSize: 30, color: Colors.black),
              ),
              Text(
                'Latitude: ${widget.markerData.geoData.latitude}',
                style: TextStyle(fontSize: 20, color: Colors.black),
              ),
              Text(
                'Longitude: ${widget.markerData.geoData.longitude}',
                style: TextStyle(fontSize: 20, color: Colors.black),
              ),
              // Add more information widgets here
            ],
          ),
        ),
      ),
    );
  }
}
